Bug 237813 - java/eclipse: Update to 4.11, Fix build on powerpc64
Summary: java/eclipse: Update to 4.11, Fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Some People
Assignee: Piotr Kubaj
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-05-09 16:06 UTC by Curtis Hamilton
Modified: 2019-08-18 10:44 UTC (History)
4 users (show)

See Also:
jonc: maintainer-feedback+


Attachments
Patch to fix build on powerpc64 (799 bytes, patch)
2019-05-09 16:06 UTC, Curtis Hamilton
no flags Details | Diff
powerpc64 fixes (96.21 KB, patch)
2019-05-14 03:14 UTC, Jonathan Chen
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Curtis Hamilton 2019-05-09 16:06:53 UTC
Created attachment 204289 [details]
Patch to fix build on powerpc64

The attached patch will allow build of new eclipse update on powerpc64.

However, there are still issues in the build staging, not all plug-ins built are staged, partly because the pkg-list is hard coded for amd64.
Comment 1 Jonathan Chen 2019-05-14 03:14:03 UTC
Created attachment 204370 [details]
powerpc64 fixes

Updated patch to fix build for PowerPC.

Use dynamic plist in order to cater for both amd64 and powerpc64.

This obsoletes the previous patch.
Comment 2 Jonathan Chen 2019-05-14 03:17:39 UTC
Note: pkg-plist has now been removed.
Comment 3 Jonathan Chen 2019-05-26 23:20:04 UTC
Outdated by:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238152
Comment 4 Steve Wills freebsd_committer 2019-05-27 19:13:28 UTC
Does the stuff in bug 238152 cover everything here? If so, let's close. If not, please provide an updated patch.
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-08-18 10:42:17 UTC
Fixed with ports r504618.

If there still problems or there is somethings left, please put it in bug #239650 (update to 4.12).
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-18 10:44:16 UTC
And ports r504379.